Jack::JackFFADOMidiSendQueue Class Reference
Inheritance diagram for Jack::JackFFADOMidiSendQueue:

## Public Member Functions

EnqueueResult | EnqueueEvent (jack_nframes_t time, size_t size, jack_midi_data_t *buffer)
jack_nframes_t | GetNextScheduleFrame ()
void | ResetOutputBuffer (uint32_t *output_buffer, jack_nframes_t length)
Public Member Functions inherited from Jack::JackMidiWriteQueue
EnqueueResult | EnqueueEvent (jack_midi_event_t *event, jack_nframes_t frame_offset=0)

## Additional Inherited Members

Public Types inherited from Jack::JackMidiWriteQueue
enum | EnqueueResult { BUFFER_FULL, BUFFER_TOO_SMALL, EVENT_EARLY, EN_ERROR, OK }

## Detailed Description

Definition at line 27 of file JackFFADOMidiSendQueue.h.

## Member Function Documentation

Jack::JackMidiWriteQueue::EnqueueResult JackFFADOMidiSendQueue::EnqueueEvent | ( | jack_nframes_t | time,
|  | size_t | size,
|  | jack_midi_data_t * | buffer
| ) |  |

virtual

Enqueues a data packet in the write queue of `size` bytes contained in `buffer` that will be sent the absolute time specified by `time`. This method should not block unless 1.) this write queue represents the actual outbound MIDI connection, 2.) the MIDI event is being sent now, meaning that `time` is less than or equal to now, and 3.) the method is not being called in the process thread. The method should return `OK` if the event was enqueued, `BUFFER_FULL` if the write queue isn't able to accept the event right now, `BUFFER_TOO_SMALL` if this write queue will never be able to accept the event because the event is too large, `EVENT_EARLY` if this queue cannot schedule events ahead of time, and `EN_ERROR` if an error occurs that cannot be specified by another return code.

Implements Jack::JackMidiWriteQueue.

Definition at line 33 of file JackFFADOMidiSendQueue.cpp.

jack_nframes_t JackFFADOMidiSendQueue::GetNextScheduleFrame | ( |  | ) |

virtual

Returns the next frame that a MIDI message can be sent at. The default method returns the current frame.

Reimplemented from Jack::JackMidiSendQueue.

Definition at line 51 of file JackFFADOMidiSendQueue.cpp.

The documentation for this class was generated from the following files:

- JackFFADOMidiSendQueue.h
- JackFFADOMidiSendQueue.cpp